ZUNI1(3)

SYNOPSIS
SUBROUTINE ZUNI1 (ZR, ZI, FNU, KODE, N, YR, YI, NZ, NLAST, FNUL, + TOL, ELIM, ALIM)

NAME
zuni1 - Subsidiary to ZBESI and ZBESK

LIBRARY
SLATEC

TYPE
ALL (CUNI1-A, ZUNI1-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
ZUNI1 COMPUTES I(FNU,Z) BY MEANS OF THE UNIFORM ASYMPTOTIC EXPANSION FOR I(FNU,Z) IN -PI/3.LE.ARG Z.LE.PI/3. FNUL IS THE SMALLEST ORDER PERMITTED FOR THE ASYMPTOTIC EXPANSION. NLAST=0 MEANS ALL OF THE Y VALUES WERE SET. NLAST.NE.0 IS THE NUMBER LEFT TO BE COMPUTED BY ANOTHER FORMULA FOR ORDERS FNU TO FNU+NLAST-1 BECAUSE FNU+NLAST-1.LT.FNUL. Y(I)=CZERO FOR I=NLAST+1,N

SEE ALSO
ZBESI, ZBESK

ROUTINES CALLED
D1MACH, ZABS, ZUCHK, ZUNIK, ZUOIK

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)